<script setup lang="ts">
import { ref } from 'vue'
import { useMemberStore } from '@/stores/member'

const memberStore = useMemberStore()
// const dialog = ref(false)
// const newMemberName = ref('')
// const newMemberTel = ref('')

async function saveMember() {
  console.log(memberStore.editedMember)
  await memberStore.saveMembers()
  // newMemberTel.value = ''
}
</script>

<template>
  <v-dialog v-model="memberStore.memberDialog" persistent width="8000">
    <v-card>
      <!-- <img src="/img/cafe/Logo.jpg" width="150" height="150" style="display: block; margin: auto" /> -->
      <v-card-title class="text-h5" style="text-align: left"> Add member </v-card-title>
      <v-container>
        <v-row>
          <v-col>
            <v-text-field
              v-model="memberStore.editedMember.fullName"
              :rules="[(v) => !!v || 'Field is required']"
              class="mb-2"
              clearable
              label="Name"
              prepend-icon="mdi-account-plus"
            ></v-text-field>
          </v-col>
          <v-col cols="12" sm="6" md="4">
            <v-text-field
              v-model="memberStore.editedMember.tel"
              type="number"
              :rules="[(v) => !!v || 'Field is required']"
              class="mb-2"
              clearable
              label="Tel"
              prepend-icon="mdi-phone"
            ></v-text-field> </v-col
          ><v-col cols="12" sm="6" md="4">
            <v-text-field
              v-model="memberStore.editedMember.email"
              :rules="[(v) => !!v || 'Field is required']"
              class="mb-2"
              clearable
              label="Email"
              prepend-icon="mdi-email"
            ></v-text-field> </v-col
          ><v-col cols="12" sm="6" md="4">
            <v-text-field
              v-model="memberStore.editedMember.password"
              :rules="[(v) => !!v || 'Field is required']"
              class="mb-2"
              clearable
              label="Password"
              prepend-icon="mdi-lock"
            ></v-text-field> </v-col
          ><v-col cols="12" sm="6" md="4">
            <v-text-field
              v-model="memberStore.editedMember.birthday"
              type="Date"
              :rules="[(v) => !!v || 'Field is required']"
              class="mb-2"
              clearable
              label="Birthday"
              prepend-icon="mdi-calendar"
              date-format="DD/MM/YYYY"
            ></v-text-field>
          </v-col>
        </v-row>
      </v-container>

      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              memberStore.memberDialog = false
            }
          "
        >
          ปิด
        </v-btn>
        <v-btn
          color="green-darken-1"
          variant="text"
          @click="
            () => {
              saveMember()
              memberStore.memberDialog = false
            }
          "
        >
          บันทึก
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
